@import url('https://fonts.googleapis.com/css2?family=Great+Vibes&family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');
/* http://meyerweb.com/eric/tools/css/reset/ 
   v2.0 | 20110126
   License: none (public domain)
*/

html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed, 
figure, figcaption, footer, header, hgroup, 
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
	margin: 0;
	padding: 0;
	border: 0;
	font-size: 100%;
	font: inherit;
	vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure, 
footer, header, hgroup, menu, nav, section {
	display: block;
}
body {
	line-height: 1;
}
ol, ul {
	list-style: none;
}
blockquote, q {
	quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
	content: '';
	content: none;
}
table {
	border-collapse: collapse;
	border-spacing: 0;
}





:root {
    /* soft remembrance */
    --soft-lavender: rgba(172,146,191,1);
    --soft-rose: rgba(199,141,153,1);
    --soft-gray: rgba(220, 220, 200,1);
    --soft-ivory: rgba(245,240,235,1);
    --soft-charcoal: rgba(70,70,70,1);

    /* tranquil blues */
    --blues-blue: rgba(112, 128, 144, 1);
    --blues-gray: rgba(169,169,169,1);
    --blues-powder: rgba(176,196,222,1);
    --blues-cream: rgba(245,245,240,1);
    --blues-navy: rgba(40,60,85,1);

    /* eternal serenity */
    --eternal-green: rgba(60,100,80,1);
    --eternal-taupe: rgba(140,120,110,1);
    --eternal-gray: rgba(200,200,200,1);
    --eternal-sage: rgba(190,210,200,1);
    --eternal-umber: rgba(90,70,60,1);

    /* timeless elegance */
    --timeless-burgundy: rgba(110,38,52,1);
    --timeless-mauve: rgba(180,150,160,1);
    --timeless-beige: rgba(235,220,200,1);
    --timeless-gray: rgba(160,160,160,1);
    --timeless-black: rgba(30,30,30,1);
}


.error {
    border: 1px solid red !important;
}
.montserrat-regular {
    font-family: "Montserrat", serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
  }
  .great-vibes-regular {
    font-family: "Great Vibes", serif;
    font-weight: 400;
    font-style: normal;
  }
  
* {
    padding: 0;
    margin: 0;
    list-style-type: none;
    box-sizing: border-box;
    user-select: none;
}
html, body {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: var(--blues-navy);
}
button {
    all: unset;
    padding: 10px 10px;
    background-color: var(--blues-blue);
    border-radius: 8px;
    cursor: pointer;
    text-align: center;
}

#site {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: auto 1fr auto;
    grid-template-areas: "header"
                         "main"
                         "footer";
    font-family: "Montserrat", serif;
    max-width: 1200px;
    
}
#site > header {
    grid-area: header;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    height: 98vh;
}
#site > header img {
    width: 100%;
    height: 100%;
    max-width: 100vw;
    max-height: 65vh;
}
#site > main {
    grid-area: main;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}
#site > footer {
    grid-area: footer;
}
dialog form span {
    margin-bottom: 10px;
    width: 100%;
    display: flex;
    flex-direction: column;
}
dialog form span input[type=text], dialog form span input[type=email], dialog form span textarea{
    padding: 10px 5px;
    border: 1px solid black;
    border-radius: 8px;
}
dialog form span label {
    margin-bottom: 10px;
}
dialog form span textarea {
    height: 150px;
}
dialog span {
    width: 100%;
    display: grid;
}
#name {
    font-family: "Great Vibes", serif;
    font-size: 54px;
    margin-top: 20px;
    margin-bottom: 10px;
}
#dates {
  margin-bottom: 10px;
  font-size: large;
}
#epitaph {
  margin-bottom: 10px;
}
#main_image_container {
    margin-top: 50px;
}
#view_memorial_container, #add_content_container {
    margin: 10px auto;
}
.approved_comments {}
.approved_content {
    display: grid;
    grid-template-columns: auto;
    grid-template-rows: auto auto 1fr;
    grid-template-areas: "name"
                         "image"                     
                         "comment";
    background-color: var(--blues-blue);
    padding: 20px;
    border: solid 1px black;
    margin: 0 auto;
    margin-bottom: 10px;
    width: fit-content;
    max-width: 800px;
    column-gap: 10px;
}
.approved_content_image {
    grid-area: image;
    display: block;
    margin: auto;
}
.approved_content_image img {
    max-width: 300px;
    max-height: 300px;
    margin-bottom: 10px;
}
.approved_content_username {
    grid-area: name;
}
.approved_content_realname {
    grid-area: name;
    font-family: 'Montserrat';
    font-size: larger;
    font-weight: bold;
    margin-bottom: 5px;
}
.approved_content_comments {
    grid-area: comment;
}
dialog {
    position: fixed; /* or position: absolute if you want it relative to the nearest positioned ancestor */
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 20px;
}
dialog form {
  display: flex;
  flex-direction: column;
}

/* slider info */
.mySlides {display: none;}
img {vertical-align: middle;}
.mySlides {
    width: 100%;
    max-width: 100%;
    height: auto;
}

/* Slideshow container */
.slideshow-container {
  /*max-width: 500px;*/
  position: relative;
  margin: auto;
}

/* Caption text */
.text {
  color: #f2f2f2;
  font-size: 15px;
  padding: 8px 12px;
  position: absolute;
  bottom: 8px;
  width: 100%;
  text-align: center;
}

/* Number text (1/3 etc) */
.numbertext {
  color: #f2f2f2;
  font-size: 12px;
  padding: 8px 12px;
  position: absolute;
  top: 0;
}

/* The dots/bullets/indicators */
.dot {
  height: 15px;
  width: 15px;
  margin: 0 2px;
  background-color: #bbb;
  border-radius: 50%;
  display: inline-block;
  transition: background-color 0.6s ease;
}

.active {
  background-color: #717171;
}

/* Fading animation */
.fade {
  animation-name: fade;
  animation-duration: 1.5s;
}
#memorial_message {
    background-color: var(--blues-blue);
    padding: 20px;
    border: solid 1px black;
    margin: 0 auto;
    margin-bottom: 10px;
    width: fit-content;
    max-width: 500px;
}
#memorial_message p:not(:last-of-type){
    margin-bottom: 10px;
}
#memorial_sign_up_button_container {
    margin-bottom: 10px;
}
#memorial_back_button_container {}
@keyframes fade {
  from {opacity: .4} 
  to {opacity: 1}
}
#memorial_video_container {

}
#video_links {
    display: flex;
    align-items: center;
    flex-direction: column;
    margin-bottom: 0.5em;
}
#video_player {
    display: flex;
    align-items: center;
    flex-direction: column;
}
#video_info {
    display: flex;
    align-items: center;
    flex-direction: column;
    margin-top: 0.5em;
}
.video_link {
    cursor: pointer;
}
.active_video_link {
    color: #FFF;
    cursor: default !important;
}
.horizontal_nav {
    list-style: none;
    display: inline-flex;
}

.horizontal_nav li:not(:last-child)::after {
    content: " |";
    margin: 0 0.5em 0 0.5em;
}
/* On smaller screens, decrease text size */
@media only screen and (max-width: 300px) {
    .text {font-size: 11px}
    #name {
        font-family: "Great Vibes", serif;
        font-size: 28px;
        margin: 10px 0px;
    }
    #dates {
        margin-bottom: 10px;
        font-size: large;
    }
    #epitaph {
        margin-bottom: 10px;
    }
}
@media only screen and (max-width: 500px) {
    .text {font-size: 11px}
    #name {
        font-family: "Great Vibes", serif;
        font-size: 28px;
        margin: 10px 0px;
    }
    #dates {
        margin-bottom: 10px;
        font-size: small;
    }
    #epitaph {
        margin-bottom: 10px;
    }
    #site > header img {
        width: auto;
        height: auto;
        max-height: 50vh;
    }
}
@media only screen and (max-height: 500px) {
    .text {font-size: 11px}
    #name {
        font-family: "Great Vibes", serif;
        font-size: 28px;
        margin: 10px 0px;
    }
    #dates {
        margin-bottom: 10px;
        font-size: small;
    }
    #epitaph {
        margin-bottom: 10px;
    }
    #site > header img {
        width: auto;
        height: auto;
        max-height: 65vh;
    }
    #main_image_container {
        margin-top: 10px;
    }
    #site > header {
        height: 95vh !important;
    }
}